using Newtonsoft.Json;

namespace OpenAuth.App.Permission.Request;

/// <summary>
/// 设置条件
/// </summary>
public class Condition
{
    /// <summary>
    /// 编号
    /// </summary>
    public int index { get; set; }

    /// <summary>
    /// 字段ID
    /// </summary>
    /// <returns></returns>
    [JsonProperty("f_FieldId")]
    public string F_FieldId { get; set; }

    /// <summary>
    /// 比较符 1.等于 2.包含 3.包含于 4.不等于 5.不包含 6.不包含于
    /// </summary>
    /// <returns></returns>
    [JsonProperty("f_Symbol")]
    public string F_Symbol { get; set; }

    /// <summary>
    /// 字段值类型1.文本 2.登录者ID 3.登录者账号  4.登录者部门  5. 登录都部门及下属部门 6.登录者岗位 7.登录者角色
    /// </summary>
    [JsonProperty("f_FieldValueType")]
    public string F_FieldValueType { get; set; }

    /// <summary>
    /// 字段值
    /// </summary>
    /// <returns></returns>
    [JsonProperty("f_FieldValue")]
    public string F_FieldValue { get; set; }

    /// <summary>
    /// 类型 glbd关联表单数据类型，需要特殊处理
    /// </summary>
    [JsonProperty("type")]
    public string Type { get; set; }

    /// <summary>
    /// 表名称
    /// </summary>
    [JsonProperty("table")]
    public string Table { get; set; }

    /// <summary>
    /// 比较字段
    /// </summary>
    [JsonProperty("cfield")]
    public string Cfield { get; set; }

    /// <summary>
    /// 外键
    /// </summary>
    [JsonProperty("field")]
    public string Field { get; set; }

    /// <summary>
    /// 关联表字段
    /// </summary>
    [JsonProperty("relationField")]
    public string RelationField { get; set; }

    /// <summary>
    /// 分组编号 这里的Group是属性名称和下面的Group类不是一回事
    /// </summary>
    [JsonProperty("group")]
    public string Group { get; set; }
}
